aagc.vo

## Class AttributiAutorizzativi

- java.lang.Object
- - aagc.vo.AttributiAutorizzativi

-     public class AttributiAutorizzativi
      extends java.lang.Object

  Classe Java per attributiAutorizzativi complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="attributiAutorizzativi">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="identificativoServizio">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <maxLength value="60"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="identificativoUtente">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <maxLength value="16"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="ruoloIstituzionale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `identificativoServizio`
    `protected java.lang.String` | `identificativoUtente`
    `protected java.lang.String` | `ruoloIstituzionale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributiAutorizzativi()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIdentificativoServizio()` Recupera il valore della proprietà identificativoServizio.
    `java.lang.String` | `getIdentificativoUtente()` Recupera il valore della proprietà identificativoUtente.
    `java.lang.String` | `getRuoloIstituzionale()` Recupera il valore della proprietà ruoloIstituzionale.
    `void` | `setIdentificativoServizio(java.lang.String value)` Imposta il valore della proprietà identificativoServizio.
    `void` | `setIdentificativoUtente(java.lang.String value)` Imposta il valore della proprietà identificativoUtente.
    `void` | `setRuoloIstituzionale(java.lang.String value)` Imposta il valore della proprietà ruoloIstituzionale.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identificativoServizio

          protected java.lang.String identificativoServizio

    - #### identificativoUtente

          protected java.lang.String identificativoUtente

    - #### ruoloIstituzionale

          protected java.lang.String ruoloIstituzionale

  - ### Constructor Detail

    - #### AttributiAutorizzativi

          public AttributiAutorizzativi()

  - ### Method Detail

    - #### getIdentificativoServizio

          public java.lang.String getIdentificativoServizio()

      Recupera il valore della proprietà identificativoServizio.
      Returns:
        possible object is `String`

    - #### setIdentificativoServizio

          public void setIdentificativoServizio(java.lang.String value)

      Imposta il valore della proprietà identificativoServizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdentificativoUtente

          public java.lang.String getIdentificativoUtente()

      Recupera il valore della proprietà identificativoUtente.
      Returns:
        possible object is `String`

    - #### setIdentificativoUtente

          public void setIdentificativoUtente(java.lang.String value)

      Imposta il valore della proprietà identificativoUtente.
      Parameters:
        `value` - allowed object is `String`

    - #### getRuoloIstituzionale

          public java.lang.String getRuoloIstituzionale()

      Recupera il valore della proprietà ruoloIstituzionale.
      Returns:
        possible object is `String`

    - #### setRuoloIstituzionale

          public void setRuoloIstituzionale(java.lang.String value)

      Imposta il valore della proprietà ruoloIstituzionale.
      Parameters:
        `value` - allowed object is `String`